---
title: find-a-project-by-id-or-name
product: vercel
url: /docs/rest-api/projects/find-a-project-by-id-or-name
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about find-a-project-by-id-or-name on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Find a project by id or name

```http
GET /v9/projects/{idOrName}
```

Get the information for a specific project by passing either the project `id` or `name` in the URL.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `idOrName` | object | Yes | The unique project identifier or the project name |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: The project information

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "accountId",
    "defaultResourceConfig",
    "deploymentExpiration",
    "directoryListing",
    "id",
    "name",
    "nodeVersion",
    "resourceConfig"
  ],
  "properties": {
    "integrations": {
      "type": "array",
      "items": {
        "type": "object",
        "description": "Integration installation enabled on the project.",
        "required": [
          "installationId"
        ],
        "properties": {
          "installationId": {
            "type": "string",
            "description": "The integration installation ID."
          },
          "resources": {
            "type": "array",
            "description": "The list of the installation resources connected to the project.",
            "items": {
              "type": "object",
              "description": "The list of the installation resources connected to the project.",
              "required": [
                "externalResourceId"
              ],
              "properties": {
                "externalResourceId": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "accountId": {
      "type": "string"
    },
    "analytics": {
      "type": "object",
      "required": [
        "disabledAt",
        "enabledAt",
        "id"
      ],
      "properties": {
        "id": {
          "type": "string"
        },
        "canceledAt": {
          "type": "number",
          "nullable": true
        },
        "disabledAt": {
          "type": "number"
        },
        "enabledAt": {
          "type": "number"
        },
        "paidAt": {
          "type": "number"
        },
        "sampleRatePercent": {
          "type": "number",
          "nullable": true
        },
        "spendLimitInDollars": {
          "type": "number",
          "nullable": true
        }
      }
    },
    "appliedCve55182Migration": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "speedInsights": {
      "type": "object",
      "required": [
        "id"
      ],
      "properties": {
        "id": {
          "type": "string"
        },
        "enabledAt": {
          "type": "number"
        },
        "disabledAt": {
          "type": "number"
        },
        "canceledAt": {
          "type": "number"
        },
        "hasData": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "paidAt": {
          "type": "number"
        }
      }
    },
    "autoExposeSystemEnvs": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "autoAssignCustomDomains": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "autoAssignCustomDomainsUpdatedBy": {
      "type": "string"
    },
    "buildCommand": {
      "type": "string",
      "nullable": true
    },
    "commandForIgnoringBuildStep": {
      "type": "string",
      "nullable": true
    },
    "connectConfigurations": {
      "type": "array",
      "nullable": true,
      "items": {
        "type": "object",
        "required": [
          "buildsEnabled",
          "connectConfigurationId",
          "createdAt",
          "envId",
          "passive",
          "updatedAt"
        ],
        "properties": {
          "envId": {
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "string",
                "enum": [
                  "production",
                  "preview"
                ]
              }
            ]
          },
          "connectConfigurationId": {
            "type": "string"
          },
          "dc": {
            "type": "string"
          },
          "passive": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "buildsEnabled": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "aws": {
            "type": "object",
            "required": [
              "subnetIds"
            ],
            "properties": {
              "subnetIds": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "securityGroupId": {
                "type": "string"
              }
            }
          },
          "createdAt": {
            "type": "number"
          },
          "updatedAt": {
            "type": "number"
          }
        }
      }
    },
    "connectConfigurationId": {
      "type": "string",
      "nullable": true
    },
    "connectBuildsEnabled": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "passiveConnectConfigurationId": {
      "type": "string",
      "nullable": true
    },
    "createdAt": {
      "type": "number"
    },
    "customerSupportCodeVisibility": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "crons": {
      "type": "object",
      "required": [
        "definitions",
        "deploymentId",
        "disabledAt",
        "enabledAt",
        "updatedAt"
      ],
      "properties": {
        "enabledAt": {
          "type": "number",
          "description": "The time the feature was enabled for this project. Note: It enables automatically with the first Deployment that outputs cronjobs."
        },
        "disabledAt": {
          "type": "number",
          "description": "The time the feature was disabled for this project.",
          "nullable": true
        },
        "updatedAt": {
          "type": "number"
        },
        "deploymentId": {
          "type": "string",
          "description": "The ID of the Deployment from which the definitions originated.",
          "nullable": true
        },
        "definitions": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "host",
              "path",
              "schedule"
            ],
            "properties": {
              "host": {
                "type": "string",
                "description": "The hostname that should be used."
              },
              "path": {
                "type": "string",
                "description": "The path that should be called for the cronjob."
              },
              "schedule": {
                "type": "string",
                "description": "The cron expression."
              },
              "source": {
                "type": "string",
                "description": "The origin of this definition. 'api' means created via the API. Undefined means it originated from a deployment (vercel.json).",
                "enum": [
                  "api"
                ]
              },
              "description": {
                "type": "string",
                "description": "A human-readable description of what this cron job does."
              },
              "hostInferred": {
                "type": "boolean",
                "description": "Whether the host was inferred from the production deployment URL rather than explicitly provided.",
                "enum": [
                  false,
                  true
                ]
              }
            }
          }
        }
      }
    },
    "dataCache": {
      "type": "object",
      "required": [
        "userDisabled"
      ],
      "properties": {
        "userDisabled": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "storageSizeBytes": {
          "type": "number",
          "nullable": true
        },
        "unlimited": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        }
      }
    },
    "delegatedProtection": {
      "type": "object",
      "nullable": true
    },
    "deploymentExpiration": {
      "type": "object",
      "description": "Retention policies for deployments. These are enforced at the project level, but we also maintain an instance of this at the team level as a default policy that gets applied to new projects.",
      "properties": {
        "expirationDays": {
          "type": "number",
          "description": "Number of days to keep non-production deployments (mostly preview deployments) before soft deletion."
        },
        "expirationDaysProduction": {
          "type": "number",
          "description": "Number of days to keep production deployments before soft deletion."
        },
        "expirationDaysCanceled": {
          "type": "number",
          "description": "Number of days to keep canceled deployments before soft deletion."
        },
        "expirationDaysErrored": {
          "type": "number",
          "description": "Number of days to keep errored deployments before soft deletion."
        },
        "deploymentsToKeep": {
          "type": "number",
          "description": "Minimum number of production deployments to keep for this project, even if they are over the production expiration limit."
        }
      }
    },
    "devCommand": {
      "type": "string",
      "nullable": true
    },
    "directoryListing": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "installCommand": {
      "type": "string",
      "nullable": true
    },
    "env": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "key",
          "type",
          "value"
        ],
        "properties": {
          "target": {
            "oneOf": [
              {
                "type": "array",
                "items": {
                  "type": "string",
                  "enum": [
                    "production",
                    "preview",
                    "development",
                    "preview",
                    "development"
                  ]
                }
              },
              {
                "type": "string",
                "enum": [
                  "production",
                  "preview",
                  "development"
                ]
              }
            ]
          },
          "type": {
            "type": "string",
            "enum": [
              "secret",
              "system",
              "encrypted",
              "plain",
              "sensitive"
            ]
          },
          "sunsetSecretId": {
            "type": "string",
            "description": "This is used to identify variables that have been migrated from type secret to sensitive."
          },
          "legacyValue": {
            "type": "string",
            "description": "Legacy now-encryption ciphertext, present after migration swaps value/vsmValue"
          },
          "decrypted": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "value": {
            "type": "string"
          },
          "vsmValue": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "key": {
            "type": "string"
          },
          "configurationId": {
            "type": "string",
            "nullable": true
          },
          "createdAt": {
            "type": "number"
          },
          "updatedAt": {
            "type": "number"
          },
          "createdBy": {
            "type": "string",
            "nullable": true
          },
          "updatedBy": {
            "type": "string",
            "nullable": true
          },
          "gitBranch": {
            "type": "string"
          },
          "edgeConfigId": {
            "type": "string",
            "nullable": true
          },
          "edgeConfigTokenId": {
            "type": "string",
            "nullable": true
          },
          "contentHint": {
            "nullable": true,
            "oneOf": [
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "redis-url"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "redis-rest-api-url"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "redis-rest-api-token"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "redis-rest-api-read-only-token"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "blob-read-write-token"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "postgres-url"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "postgres-url-non-pooling"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "postgres-prisma-url"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "postgres-user"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "postgres-host"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "postgres-password"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "postgres-database"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "postgres-url-no-ssl"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "integrationConfigurationId",
                  "integrationId",
                  "integrationProductId",
                  "storeId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "integration-store-secret"
                    ]
                  },
                  "storeId": {
                    "type": "string"
                  },
                  "integrationId": {
                    "type": "string"
                  },
                  "integrationProductId": {
                    "type": "string"
                  },
                  "integrationConfigurationId": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "object",
                "required": [
                  "projectId",
                  "type"
                ],
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "flags-connection-string"
                    ]
                  },
                  "projectId": {
                    "type": "string"
                  }
                }
              }
            ]
          },
          "internalContentHint": {
            "type": "object",
            "description": "Similar to `contentHints`, but should not be exposed to the user.",
            "nullable": true,
            "required": [
              "encryptedValue",
              "type"
            ],
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "flags-secret"
                ]
              },
              "encryptedValue": {
                "type": "string",
                "description": "Contains the `value` of the env variable, encrypted with a special key to make decryption possible in the subscriber Lambda."
              }
            }
          },
          "comment": {
            "type": "string"
          },
          "customEnvironmentIds": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "customEnvironments": {
      "type": "array",
      "items": {
        "type": "object",
        "description": "Internal representation of a custom environment with all required properties",
        "required": [
          "createdAt",
          "id",
          "slug",
          "type",
          "updatedAt"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier for the custom environment (format: env_*)"
          },
          "slug": {
            "type": "string",
            "description": "URL-friendly name of the environment"
          },
          "type": {
            "type": "string",
            "description": "The type of environment (production, preview, or development)",
            "enum": [
              "production",
              "preview",
              "development"
            ]
          },
          "description": {
            "type": "string",
            "description": "Optional description of the environment's purpose"
          },
          "branchMatcher": {
            "type": "object",
            "description": "Configuration for matching git branches to this environment",
            "required": [
              "pattern",
              "type"
            ],
            "properties": {
              "type": {
                "type": "string",
                "description": "The type of matching to perform",
                "enum": [
                  "endsWith",
                  "startsWith",
                  "equals"
                ]
              },
              "pattern": {
                "type": "string",
                "description": "The pattern to match against branch names"
              }
            }
          },
          "domains": {
            "type": "array",
            "description": "List of domains associated with this environment",
            "items": {
              "type": "object",
              "description": "List of domains associated with this environment",
              "required": [
                "apexName",
                "name",
                "projectId",
                "verified"
              ],
              "properties": {
                "name": {
                  "type": "string"
                },
                "apexName": {
                  "type": "string"
                },
                "projectId": {
                  "type": "string"
                },
                "redirect": {
                  "type": "string",
                  "nullable": true
                },
                "redirectStatusCode": {
                  "type": "number",
                  "enum": [
                    301,
                    302,
                    307,
                    308
                  ],
                  "nullable": true
                },
                "gitBranch": {
                  "type": "string",
                  "nullable": true
                },
                "customEnvironmentId": {
                  "type": "string",
                  "nullable": true
                },
                "updatedAt": {
                  "type": "number"
                },
                "createdAt": {
                  "type": "number"
                },
                "verified": {
                  "type": "boolean",
                  "description": "`true` if the domain is verified for use with the project. If `false` it will not be used as an alias on this project until the challenge in `verification` is completed.",
                  "enum": [
                    false,
                    true
                  ]
                },
                "verification": {
                  "type": "array",
                  "description": "A list of verification challenges, one of which must be completed to verify the domain for use on the project. After the challenge is complete `POST /projects/:idOrName/domains/:domain/verify` to verify the domain. Possible challenges: - If `verification.type = TXT` the `verification.domain` will be checked for a TXT record matching `verification.value`.",
                  "items": {
                    "type": "object",
                    "description": "A list of verification challenges, one of which must be completed to verify the domain for use on the project. After the challenge is complete `POST /projects/:idOrName/domains/:domain/verify` to verify the domain. Possible challenges: - If `verification.type = TXT` the `verification.domain` will be checked for a TXT record matching `verification.value`.",
                    "required": [
                      "domain",
                      "reason",
                      "type",
                      "value"
                    ],
                    "properties": {
                      "type": {
                        "type": "string"
                      },
                      "domain": {
                        "type": "string"
                      },
                      "value": {
                        "type": "string"
                      },
                      "reason": {
                        "type": "string"
                      }
                    }
                  }
                }
              }
            }
          },
          "currentDeploymentAliases": {
            "type": "array",
            "description": "List of aliases for the current deployment",
            "items": {
              "type": "string"
            }
          },
          "createdAt": {
            "type": "number",
            "description": "Timestamp when the environment was created"
          },
          "updatedAt": {
            "type": "number",
            "description": "Timestamp when the environment was last updated"
          }
        }
      }
    },
    "framework": {
      "type": "string",
      "enum": [
        "services",
        "blitzjs",
        "nextjs",
        "gatsby",
        "remix",
        "react-router",
        "astro",
        "hexo",
        "eleventy",
        "docusaurus-2",
        "docusaurus",
        "preact",
        "solidstart-1",
        "solidstart",
        "dojo",
        "ember",
        "vue",
        "scully",
        "ionic-angular",
        "angular",
        "polymer",
        "svelte",
        "sveltekit",
        "sveltekit-1",
        "ionic-react",
        "create-react-app",
        "gridsome",
        "umijs",
        "sapper",
        "saber",
        "stencil",
        "nuxtjs",
        "redwoodjs",
        "hugo",
        "jekyll",
        "brunch",
        "middleman",
        "zola",
        "hydrogen",
        "vite",
        "tanstack-start",
        "vitepress",
        "vuepress",
        "parcel",
        "fastapi",
        "flask",
        "fasthtml",
        "django",
        "sanity-v3",
        "sanity",
        "storybook",
        "nitro",
        "hono",
        "express",
        "h3",
        "koa",
        "nestjs",
        "elysia",
        "fastify",
        "xmcp",
        "python",
        "ruby",
        "rust",
        "node",
        "go"
      ],
      "nullable": true
    },
    "gitForkProtection": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "gitLFS": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "id": {
      "type": "string"
    },
    "ipBuckets": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "bucket"
        ],
        "properties": {
          "bucket": {
            "type": "string"
          },
          "supportUntil": {
            "type": "number"
          }
        }
      }
    },
    "jobs": {
      "type": "object",
      "properties": {
        "lint": {
          "type": "object",
          "required": [
            "targets"
          ],
          "properties": {
            "targets": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        },
        "typecheck": {
          "type": "object",
          "required": [
            "targets"
          ],
          "properties": {
            "targets": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "latestDeployments": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "createdAt",
          "createdIn",
          "creator",
          "deploymentHostname",
          "id",
          "name",
          "plan",
          "private",
          "readyState",
          "type",
          "url",
          "userId"
        ],
        "properties": {
          "alias": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "aliasAssigned": {
            "nullable": true,
            "oneOf": [
              {
                "type": "number"
              },
              {
                "type": "boolean",
                "enum": [
                  false,
                  true
                ]
              }
            ]
          },
          "builds": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "use"
              ],
              "properties": {
                "use": {
                  "type": "string"
                },
                "src": {
                  "type": "string"
                },
                "dest": {
                  "type": "string"
                }
              }
            }
          },
          "createdAt": {
            "type": "number"
          },
          "createdIn": {
            "type": "string"
          },
          "creator": {
            "type": "object",
            "nullable": true,
            "required": [
              "email",
              "uid",
              "username"
            ],
            "properties": {
              "email": {
                "type": "string"
              },
              "githubLogin": {
                "type": "string"
              },
              "gitlabLogin": {
                "type": "string"
              },
              "uid": {
                "type": "string"
              },
              "username": {
                "type": "string"
              }
            }
          },
          "deploymentHostname": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "forced": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "id": {
            "type": "string"
          },
          "meta": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "plan": {
            "type": "string"
          },
          "private": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "readyState": {
            "type": "string"
          },
          "requestedAt": {
            "type": "number"
          },
          "target": {
            "type": "string",
            "nullable": true
          },
          "teamId": {
            "type": "string",
            "nullable": true
          },
          "type": {
            "type": "string"
          },
          "url": {
            "type": "string"
          },
          "userId": {
            "type": "string"
          },
          "withCache": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          }
        }
      }
    },
    "link": {
      "oneOf": [
        {
          "type": "object",
          "required": [
            "deployHooks",
            "gitCredentialId",
            "org",
            "productionBranch",
            "type"
          ],
          "properties": {
            "org": {
              "type": "string"
            },
            "repoOwnerId": {
              "type": "number",
              "description": "A new field, should be included in all new project links, is being added just in time when a deployment is created. This is needed for Protected Git scopes."
            },
            "repo": {
              "type": "string"
            },
            "repoId": {
              "type": "number"
            },
            "type": {
              "type": "string",
              "enum": [
                "github"
              ]
            },
            "createdAt": {
              "type": "number"
            },
            "deployHooks": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "ref",
                  "url"
                ],
                "properties": {
                  "createdAt": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "ref": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                }
              }
            },
            "gitCredentialId": {
              "type": "string"
            },
            "updatedAt": {
              "type": "number"
            },
            "sourceless": {
              "type": "boolean",
              "enum": [
                false,
                true
              ]
            },
            "productionBranch": {
              "type": "string"
            }
          }
        },
        {
          "type": "object",
          "required": [
            "deployHooks",
            "gitCredentialId",
            "org",
            "productionBranch",
            "type"
          ],
          "properties": {
            "type": {
              "type": "string",
              "enum": [
                "github-limited"
              ]
            },
            "repo": {
              "type": "string"
            },
            "repoId": {
              "type": "number"
            },
            "createdAt": {
              "type": "number"
            },
            "updatedAt": {
              "type": "number"
            },
            "org": {
              "type": "string"
            },
            "repoOwnerId": {
              "type": "number",
              "description": "A new field, should be included in all new project links, is being added just in time when a deployment is created. This is needed for Protected Git scopes."
            },
            "deployHooks": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "ref",
                  "url"
                ],
                "properties": {
                  "createdAt": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "ref": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                }
              }
            },
            "gitCredentialId": {
              "type": "string"
            },
            "sourceless": {
              "type": "boolean",
              "enum": [
                false,
                true
              ]
            },
            "productionBranch": {
              "type": "string"
            }
          }
        },
        {
          "type": "object",
          "required": [
            "deployHooks",
            "gitCredentialId",
            "host",
            "org",
            "productionBranch",
            "type"
          ],
          "properties": {
            "org": {
              "type": "string"
            },
            "repoOwnerId": {
              "type": "number",
              "description": "A new field, should be included in all new project links, is being added just in time when a deployment is created. This is needed for Protected Git scopes."
            },
            "repo": {
              "type": "string"
            },
            "repoId": {
              "type": "number"
            },
            "type": {
              "type": "string",
              "enum": [
                "github-custom-host"
              ]
            },
            "host": {
              "type": "string"
            },
            "createdAt": {
              "type": "number"
            },
            "deployHooks": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "ref",
                  "url"
                ],
                "properties": {
                  "createdAt": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "ref": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                }
              }
            },
            "gitCredentialId": {
              "type": "string"
            },
            "updatedAt": {
              "type": "number"
            },
            "sourceless": {
              "type": "boolean",
              "enum": [
                false,
                true
              ]
            },
            "productionBranch": {
              "type": "string"
            }
          }
        },
        {
          "type": "object",
          "required": [
            "deployHooks",
            "gitCredentialId",
            "productionBranch",
            "projectId",
            "projectName",
            "projectNameWithNamespace",
            "projectNamespace",
            "projectUrl",
            "type"
          ],
          "properties": {
            "projectId": {
              "type": "string"
            },
            "projectName": {
              "type": "string"
            },
            "projectNameWithNamespace": {
              "type": "string"
            },
            "projectNamespace": {
              "type": "string"
            },
            "projectOwnerId": {
              "type": "number",
              "description": "A new field, should be included in all new project links, is being added just in time when a deployment is created. This is needed for Protected Git scopes. This is the id of the top level group that a namespace belongs to. Gitlab supports group nesting (up to 20 levels)."
            },
            "projectUrl": {
              "type": "string"
            },
            "type": {
              "type": "string",
              "enum": [
                "gitlab"
              ]
            },
            "createdAt": {
              "type": "number"
            },
            "deployHooks": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "ref",
                  "url"
                ],
                "properties": {
                  "createdAt": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "ref": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                }
              }
            },
            "gitCredentialId": {
              "type": "string"
            },
            "updatedAt": {
              "type": "number"
            },
            "sourceless": {
              "type": "boolean",
              "enum": [
                false,
                true
              ]
            },
            "productionBranch": {
              "type": "string"
            }
          }
        },
        {
          "type": "object",
          "required": [
            "deployHooks",
            "gitCredentialId",
            "name",
            "owner",
            "productionBranch",
            "slug",
            "type",
            "uuid",
            "workspaceUuid"
          ],
          "properties": {
            "name": {
              "type": "string"
            },
            "slug": {
              "type": "string"
            },
            "owner": {
              "type": "string"
            },
            "type": {
              "type": "string",
              "enum": [
                "bitbucket"
              ]
            },
            "uuid": {
              "type": "string"
            },
            "workspaceUuid": {
              "type": "string"
            },
            "createdAt": {
              "type": "number"
            },
            "deployHooks": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "ref",
                  "url"
                ],
                "properties": {
                  "createdAt": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "ref": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                }
              }
            },
            "gitCredentialId": {
              "type": "string"
            },
            "updatedAt": {
              "type": "number"
            },
            "sourceless": {
              "type": "boolean",
              "enum": [
                false,
                true
              ]
            },
            "productionBranch": {
              "type": "string"
            }
          }
        },
        {
          "type": "object",
          "required": [
            "deployHooks",
            "gitCredentialId",
            "org",
            "productionBranch",
            "repo",
            "type"
          ],
          "properties": {
            "org": {
              "type": "string"
            },
            "repo": {
              "type": "string"
            },
            "type": {
              "type": "string",
              "enum": [
                "vercel"
              ]
            },
            "createdAt": {
              "type": "number"
            },
            "deployHooks": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "ref",
                  "url"
                ],
                "properties": {
                  "createdAt": {
                    "type": "number"
                  },
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "ref": {
                    "type": "string"
                  },
                  "url": {
                    "type": "string"
                  }
                }
              }
            },
            "gitCredentialId": {
              "type": "string"
            },
            "updatedAt": {
              "type": "number"
            },
            "sourceless": {
              "type": "boolean",
              "enum": [
                false,
                true
              ]
            },
            "productionBranch": {
              "type": "string"
            }
          }
        }
      ]
    },
    "microfrontends": {
      "oneOf": [
        {
          "type": "object",
          "required": [
            "enabled",
            "groupIds",
            "isDefaultApp",
            "updatedAt"
          ],
          "properties": {
            "isDefaultApp": {
              "type": "boolean",
              "enum": [
                true
              ]
            },
            "updatedAt": {
              "type": "number",
              "description": "Timestamp when the microfrontends settings were last updated."
            },
            "groupIds": {
              "type": "array",
              "description": "The group IDs of microfrontends that this project belongs to. Each microfrontend project must belong to a microfrontends group that is the set of microfrontends that are used together.",
              "items": {
                "type": "string"
              }
            },
            "enabled": {
              "type": "boolean",
              "description": "Whether microfrontends are enabled for this project.",
              "enum": [
                true
              ]
            },
            "defaultRoute": {
              "type": "string",
              "description": "A path that is used to take screenshots and as the default path in preview links when a domain for this microfrontend is shown in the UI. Includes the leading slash, e.g. `/docs`"
            },
            "freeProjectForLegacyLimits": {
              "type": "boolean",
              "description": "Whether the project was part of the legacy limits for hobby and pro-trial before billing was added. This field is only set when the team is upgraded to a paid plan and we are backfilling the subscription status. We cap the subscription to 2 projects and set this field for the 3rd project. When this field is set, the project is not charged for and we do not call any billing APIs for this project.",
              "enum": [
                false,
                true
              ]
            }
          }
        },
        {
          "type": "object",
          "required": [
            "enabled",
            "groupIds",
            "updatedAt"
          ],
          "properties": {
            "isDefaultApp": {
              "type": "boolean",
              "enum": [
                false
              ]
            },
            "routeObservabilityToThisProject": {
              "type": "boolean",
              "description": "Whether observability data should be routed to this microfrontend project or a root project.",
              "enum": [
                false,
                true
              ]
            },
            "doNotRouteWithMicrofrontendsRouting": {
              "type": "boolean",
              "description": "Whether to add microfrontends routing to aliases. This means domains in this project will route as a microfrontend.",
              "enum": [
                false,
                true
              ]
            },
            "updatedAt": {
              "type": "number",
              "description": "Timestamp when the microfrontends settings were last updated."
            },
            "groupIds": {
              "type": "array",
              "description": "The group IDs of microfrontends that this project belongs to. Each microfrontend project must belong to a microfrontends group that is the set of microfrontends that are used together.",
              "items": {
                "type": "string"
              }
            },
            "enabled": {
              "type": "boolean",
              "description": "Whether microfrontends are enabled for this project.",
              "enum": [
                true
              ]
            },
            "defaultRoute": {
              "type": "string",
              "description": "A path that is used to take screenshots and as the default path in preview links when a domain for this microfrontend is shown in the UI. Includes the leading slash, e.g. `/docs`"
            },
            "freeProjectForLegacyLimits": {
              "type": "boolean",
              "description": "Whether the project was part of the legacy limits for hobby and pro-trial before billing was added. This field is only set when the team is upgraded to a paid plan and we are backfilling the subscription status. We cap the subscription to 2 projects and set this field for the 3rd project. When this field is set, the project is not charged for and we do not call any billing APIs for this project.",
              "enum": [
                false,
                true
              ]
            }
          }
        },
        {
          "type": "object",
          "required": [
            "enabled",
            "groupIds",
            "updatedAt"
          ],
          "properties": {
            "updatedAt": {
              "type": "number"
            },
            "groupIds": {
              "type": "array",
              "items": {}
            },
            "enabled": {
              "type": "boolean",
              "enum": [
                false
              ]
            },
            "freeProjectForLegacyLimits": {
              "type": "boolean",
              "enum": [
                false,
                true
              ]
            }
          }
        }
      ]
    },
    "name": {
      "type": "string"
    },
    "nodeVersion": {
      "type": "string",
      "enum": [
        "24.x",
        "22.x",
        "20.x",
        "18.x",
        "16.x",
        "14.x",
        "12.x",
        "10.x",
        "8.10.x"
      ]
    },
    "optionsAllowlist": {
      "type": "object",
      "nullable": true,
      "required": [
        "paths"
      ],
      "properties": {
        "paths": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "value"
            ],
            "properties": {
              "value": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "outputDirectory": {
      "type": "string",
      "nullable": true
    },
    "passwordProtection": {
      "type": "object",
      "nullable": true
    },
    "productionDeploymentsFastLane": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "publicSource": {
      "type": "boolean",
      "enum": [
        false,
        true
      ],
      "nullable": true
    },
    "resourceConfig": {
      "type": "object",
      "required": [
        "functionDefaultRegions"
      ],
      "properties": {
        "elasticConcurrencyEnabled": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "fluid": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "functionDefaultRegions": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "functionDefaultTimeout": {
          "type": "number"
        },
        "functionDefaultMemoryType": {
          "type": "string",
          "enum": [
            "standard_legacy",
            "standard",
            "performance"
          ]
        },
        "functionZeroConfigFailover": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "buildMachineType": {
          "type": "string",
          "enum": [
            "standard",
            "enhanced",
            "turbo"
          ]
        },
        "buildMachineSelection": {
          "type": "string",
          "enum": [
            "fixed",
            "elastic"
          ]
        },
        "buildMachineElasticLastUpdated": {
          "type": "number"
        },
        "isNSNBDisabled": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "buildQueue": {
          "type": "object",
          "properties": {
            "configuration": {
              "type": "string",
              "enum": [
                "SKIP_NAMESPACE_QUEUE",
                "WAIT_FOR_NAMESPACE_QUEUE"
              ]
            }
          }
        }
      }
    },
    "rollbackDescription": {
      "type": "object",
      "description": "Description of why a project was rolled back, and by whom. Note that lastAliasRequest contains the from/to details of the rollback.",
      "required": [
        "createdAt",
        "description",
        "userId",
        "username"
      ],
      "properties": {
        "userId": {
          "type": "string",
          "description": "The user who rolled back the project."
        },
        "username": {
          "type": "string",
          "description": "The username of the user who rolled back the project."
        },
        "description": {
          "type": "string",
          "description": "User-supplied explanation of why they rolled back the project. Limited to 250 characters."
        },
        "createdAt": {
          "type": "number",
          "description": "Timestamp of when the rollback was requested."
        }
      }
    },
    "rollingRelease": {
      "type": "object",
      "description": "Project-level rolling release configuration that defines how deployments should be gradually rolled out",
      "nullable": true,
      "required": [
        "target"
      ],
      "properties": {
        "target": {
          "type": "string",
          "description": "The environment that the release targets, currently only supports production. Adding in case we want to configure with alias groups or custom environments."
        },
        "stages": {
          "type": "array",
          "description": "An array of all the stages required during a deployment release. Each stage defines a target percentage and advancement rules. The final stage must always have targetPercentage: 100.",
          "nullable": true,
          "items": {
            "type": "object",
            "description": "An array of all the stages required during a deployment release. Each stage defines a target percentage and advancement rules. The final stage must always have targetPercentage: 100.",
            "required": [
              "targetPercentage"
            ],
            "properties": {
              "targetPercentage": {
                "type": "number",
                "description": "The percentage of traffic to serve to the canary deployment (0-100)"
              },
              "requireApproval": {
                "type": "boolean",
                "description": "Whether or not this stage requires manual approval to proceed",
                "enum": [
                  false,
                  true
                ]
              },
              "duration": {
                "type": "number",
                "description": "Duration in minutes for automatic advancement to the next stage"
              },
              "linearShift": {
                "type": "boolean",
                "description": "Whether to linearly shift traffic over the duration of this stage",
                "enum": [
                  false,
                  true
                ]
              }
            }
          }
        },
        "canaryResponseHeader": {
          "type": "boolean",
          "description": "Whether the request served by a canary deployment should return a header indicating a canary was served. Defaults to `false` when omitted.",
          "enum": [
            false,
            true
          ]
        }
      }
    },
    "defaultResourceConfig": {
      "type": "object",
      "required": [
        "functionDefaultRegions"
      ],
      "properties": {
        "elasticConcurrencyEnabled": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "fluid": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "functionDefaultRegions": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "functionDefaultTimeout": {
          "type": "number"
        },
        "functionDefaultMemoryType": {
          "type": "string",
          "enum": [
            "standard_legacy",
            "standard",
            "performance"
          ]
        },
        "functionZeroConfigFailover": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "buildMachineType": {
          "type": "string",
          "enum": [
            "standard",
            "enhanced",
            "turbo"
          ]
        },
        "buildMachineSelection": {
          "type": "string",
          "enum": [
            "fixed",
            "elastic"
          ]
        },
        "buildMachineElasticLastUpdated": {
          "type": "number"
        },
        "isNSNBDisabled": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "buildQueue": {
          "type": "object",
          "properties": {
            "configuration": {
              "type": "string",
              "enum": [
                "SKIP_NAMESPACE_QUEUE",
                "WAIT_FOR_NAMESPACE_QUEUE"
              ]
            }
          }
        }
      }
    },
    "rootDirectory": {
      "type": "string",
      "nullable": true
    },
    "serverlessFunctionZeroConfigFailover": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "skewProtectionBoundaryAt": {
      "type": "number"
    },
    "skewProtectionMaxAge": {
      "type": "number"
    },
    "skewProtectionAllowedDomains": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "skipGitConnectDuringLink": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "staticIps": {
      "type": "object",
      "required": [
        "builds",
        "enabled",
        "regions"
      ],
      "properties": {
        "builds": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "enabled": {
          "type": "boolean",
          "enum": [
            false,
            true
          ]
        },
        "regions": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "sourceFilesOutsideRootDirectory": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "enableAffectedProjectsDeployments": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "enableExternalRewriteCaching": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "ssoProtection": {
      "type": "object",
      "nullable": true,
      "required": [
        "deploymentType"
      ],
      "properties": {
        "deploymentType": {
          "type": "string",
          "enum": [
            "preview",
            "all",
            "prod_deployment_urls_and_all_previews",
            "all_except_custom_domains"
          ]
        },
        "cve55182MigrationAppliedFrom": {
          "type": "string",
          "enum": [
            "preview",
            "all",
            "prod_deployment_urls_and_all_previews",
            "all_except_custom_domains"
          ],
          "nullable": true
        }
      }
    },
    "targets": {
      "type": "object",
      "additionalProperties": {
        "type": "object",
        "nullable": true,
        "required": [
          "createdAt",
          "createdIn",
          "creator",
          "deploymentHostname",
          "id",
          "name",
          "plan",
          "private",
          "readyState",
          "type",
          "url",
          "userId"
        ],
        "properties": {
          "alias": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "aliasAssigned": {
            "nullable": true,
            "oneOf": [
              {
                "type": "number"
              },
              {
                "type": "boolean",
                "enum": [
                  false,
                  true
                ]
              }
            ]
          },
          "builds": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "use"
              ],
              "properties": {
                "use": {
                  "type": "string"
                },
                "src": {
                  "type": "string"
                },
                "dest": {
                  "type": "string"
                }
              }
            }
          },
          "createdAt": {
            "type": "number"
          },
          "createdIn": {
            "type": "string"
          },
          "creator": {
            "type": "object",
            "nullable": true,
            "required": [
              "email",
              "uid",
              "username"
            ],
            "properties": {
              "email": {
                "type": "string"
              },
              "githubLogin": {
                "type": "string"
              },
              "gitlabLogin": {
                "type": "string"
              },
              "uid": {
                "type": "string"
              },
              "username": {
                "type": "string"
              }
            }
          },
          "deploymentHostname": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "forced": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "id": {
            "type": "string"
          },
          "meta": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "plan": {
            "type": "string"
          },
          "private": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "readyState": {
            "type": "string"
          },
          "requestedAt": {
            "type": "number"
          },
          "target": {
            "type": "string",
            "nullable": true
          },
          "teamId": {
            "type": "string",
            "nullable": true
          },
          "type": {
            "type": "string"
          },
          "url": {
            "type": "string"
          },
          "userId": {
            "type": "string"
          },
          "withCache": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          }
        }
      }
    },
    "transferCompletedAt": {
      "type": "number"
    },
    "transferStartedAt": {
      "type": "number"
    },
    "transferToAccountId": {
      "type": "string"
    },
    "transferredFromAccountId": {
      "type": "string"
    },
    "updatedAt": {
      "type": "number"
    },
    "live": {
      "type": "boolean",
      "enum": [
        false,
        true
      ]
    },
    "enablePreviewFeedback": {
      "type": "boolean",
      "enum": [
        false,
        true
      ],
      "nullable": true
    },
    "enableProductionFeedback": {
      "type": "boolean",
      "enum": [
        false,
        true
      ],
      "nullable": true
    },
    "permissions": {
      "type": "object",
      "properties": {
        "oauth2Connection": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "user": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "userConnection": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "userPreference": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "userSudo": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "webAuthn": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "accessGroup": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "agent": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "aiGatewayUsage": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "alerts": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "alertRules": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "aliasGlobal": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "analyticsSampling": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "analyticsUsage": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "apiKey": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "apiKeyAiGateway": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "apiKeyOwnedBySelf": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "oauth2Application": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "vercelAppInstallation": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "vercelAppInstallationRequest": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "auditLog": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "billingAddress": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "billingInformation": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "billingInvoice": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "billingInvoiceEmailRecipient": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "billingInvoiceLanguage": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "billingPlan": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "billingPurchaseOrder": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "billingRefund": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "billingTaxId": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "blob": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "blobStoreTokenSet": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "budget": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "cacheArtifact": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "cacheArtifactUsageEvent": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "codeChecks": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "ciInvocations": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "ciLogs": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "concurrentBuilds": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "connect": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "connectConfiguration": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "buildMachineDefault": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "dataCacheBillingSettings": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "defaultDeploymentProtection": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "domain": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "domainAcceptDelegation": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "domainAuthCodes": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "domainCertificate": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "domainCheckConfig": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "domainMove": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "domainPurchase": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "domainRecord": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "domainTransferIn": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "drain": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "edgeConfig": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "edgeConfigItem": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "edgeConfigSchema": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "edgeConfigToken": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "endpointVerification": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "event": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "fileUpload": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "flagsExplorerSubscription": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "gitRepository": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "imageOptimizationNewPrice": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integration": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationAccount": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationConfiguration": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationConfigurationProjects": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationConfigurationRole": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationConfigurationTransfer": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationDeploymentAction": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationEvent": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationLog": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationResource": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationResourceData": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationResourceReplCommand": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationResourceSecrets": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationSSOSession": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationStrict": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationStoreTokenSet": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
              "list"
            ]
          }
        },
        "integrationVercelConfigurationOverride": {
          "type": "array",
          "items": {
            "type": "string",
            "description": "Enum containing the actions that can be performed against a resource. Group operations are included.",
            "enum": [
              "create",
              "delete",
              "read",
              "update",
[...]
